/*
 * alloc_ilconf.c
 * Alloc a ILCONF struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/alloc_ilconf.c,v 1.4 2003/03/09 11:34:27 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>


/* alloc_ilconf(): Alloc a ILCONF struct */
ILCONF *
alloc_ilconf(void)
{
	ILCONF *toret;

	/* Warm up */
	toret = calloc(1, sizeof(ILCONF));
	if(toret==NULL)
		return(NULL);

	toret->display=NULL;

	toret->interval=0;
	toret->rvary=0;

	return(toret);
}
