/*
 * alloc_imglist.c
 * Alloc a IMGLIST struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/alloc_imglist.c,v 1.4 2002/11/25 11:12:14 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>


/* alloc_imglist(): Alloc a IMGLIST struct */
IMGLIST *
alloc_imglist(void)
{
	IMGLIST *toret;

	/* Warm up */
	toret = calloc(1, sizeof(IMGLIST));
	if(toret==NULL)
		return(NULL);

	toret->title=NULL;
	toret->longdesc=NULL;
	toret->conf=NULL;
	toret->imgs=NULL;

	toret->version=0;
	toret->img_used=0;
	toret->img_alloced=0;

	return(toret);
}
