/*
 * alloc_lindex.c
 * Alloc a LINDEX struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/alloc_lindex.c,v 1.3 2002/11/25 11:12:14 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>


/* alloc_lindex(): Alloc a LINDEX struct */
LINDEX *
alloc_lindex(void)
{
	LINDEX *toret;

	/* Warm up */
	toret = calloc(1, sizeof(LINDEX));
	if(toret==NULL)
		return(NULL);

	toret->lists=NULL;

	toret->version=0;
	toret->lists_alloced=0;
	toret->lists_used=0;

	return(toret);
}
