/*
 * free_index_ent.c
 * Free a INDEX_ENT struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/free_index_ent.c,v 1.3 2003/03/09 13:23:15 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>


/* free_index_ent(): Free a INDEX_ENT struct */
void
free_index_ent(INDEX_ENT *tofree)
{
	if(tofree == NULL)
		return;

	free(tofree->title);
	free(tofree->longdesc);
	free(tofree->filename);
	free(tofree);
}
