/*
 * bgrotd.h
 * Central header file for bgrot server
 * bgrot project
 * $Fuller: myprograms/bgrot/server/include/bgrotd.h,v 1.18 2003/03/09 14:40:58 fullermd Exp $
 */


/* Definitions */
#define XV_PROGNAME		"xv"
#define XV_WAIT			10 /* Seconds */


/* Prototypes */
/* Core stuff */
void bg_core(void);

/* util functions */
int bg_daemon(void);
BGROTD_CONF *gencf(char *);
void usage(void);

/* Threads */
void *show_images_thr(void *);
void *display_image_thr(void *);
